@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: grid;
  place-items: center;
  background-color: $color-bg;
}

svg {
  cursor: pointer;

  .line {
    stroke: $color-3;
    stroke-dashoffset: 0;
    transition: stroke-dasharray 1s ease-in-out, stroke-dashoffset 1s ease-in-out;

    &-1,
    &-2 {
      stroke-dasharray: 60 228;
    }

    &-3 {
      stroke-dasharray: 60 60;
    }
  }

  &.open {
    .line {
      &-1,
      &-2 {
        stroke-dasharray: 75 228;
        stroke-dashoffset: -155;
      }

      &-3 {
        stroke-dasharray: 0 60;
        stroke-dashoffset: -30;
      }
    }
  }
}
